package digital.laboratory.platform.entrustment.dto;

import digital.laboratory.platform.sys.entity.DrugLite;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

// 使用内部类MaterialDTO
@Data
@ApiModel(value = "MaterialDTO", description = "委托检材")
public class MaterialDTO {

    @ApiModelProperty(value = "检材id")
    private String id;

    @ApiModelProperty(value = "检材名称(疑似物种类)")
    private String name;

    @ApiModelProperty(value = "分析项目  1.定性分析   2.定量分析 3.定性定量分析 4.关联性判断 5。其他")
    private Integer analysisOption;

    @ApiModelProperty(value = "候选毒品列表(drug 对象的 json array)")
    private List<DrugLite> candidateDrugs;
}