package digital.laboratory.platform.entrustment.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.entrustment.entity.Entrustment;
import digital.laboratory.platform.entrustment.entity.EntrustmentIdentificationMaterial;
import digital.laboratory.platform.entrustment.vo.EntrustmentIdentificationMaterialVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 检材信息 Mapper 接口
 *
 * @author Zhang Xiaolong created at  2022-03-22
 * @describe 检材信息 Mapper 类
 */
@Mapper
public interface EntrustmentIdentificationMaterialMapper extends BaseMapper<EntrustmentIdentificationMaterial> {
	String getMaxIdentificationMaterialNo(String prefix);

	List<EntrustmentIdentificationMaterialVO> getEntrustmentIdentificationMaterialVOList(@Param(Constants.WRAPPER) QueryWrapper<EntrustmentIdentificationMaterial> qw);
	String getMaxMaterialAcceptNo(String prefix);
}
